/*---------------------------------
              Javac.c
          Java JIT compiler
          Subclasses AIDLE
   Dan Ramage - March 15, 1997
---------------------------------*/


#include <java.g>
#include "native.h"        /*  Native 8086 machine code defines  */
#include "32bmath.h"       /*  32-bit math extensions to 8086 math  */
#include "64bmath.h"       /*  64-bit math extensions to 8086 math  */
#include "bytecode.h"      /*  Java bytecode defines  */

GLREF_C VOID check_error(VOID *obj, INT testval);

#pragma METHOD_CALL

METHOD VOID javac_destroy(PR_JAVAC *self)
    {
    p_supersend2(self, O_DESTROY);
    }

METHOD VOID javac_ao_init(PR_JAVAC *self, TEXT *class_file)
    {
/*  Store a copy of the filename of the file we are compiling  */
    p_scpy(self->javac.class_file, class_file);

/*  Open the input .cla (8.3 for .class) file and .jvn (JaVa Native file) output file  */
    check_error(self, p_open(&self->javac.in, self->javac.class_file,
        P_FSTREAM|P_FOPEN|P_FSHARE));
    check_error(self, p_open(&self->javac.out, self->javac.class_file,
        P_FSTREAM|P_FREPLACE|P_FUPDATE));
    }

METHOD INT javac_ao_run(PR_JAVAC *self, TEXT *class_file)
    {
/*  Here we do the actual processing of bytecodes into native code  */
    
    return RUN_ACTIVE_USED;
    }
