/*---------------------------------
             Native8.h
      Native 8086 8-bit codes
  Dan Ramage - February 25, 1997
---------------------------------*/

#define ADC_AL_AH                (0x10E0)
#define ADD_AH_AH                (0x00E4)
#define ADD_AH_AL                (0x00C4)
#define ADD_AL_AH                (0x00E0)
#define ADD_AL_AL                (0x00C0)
#define LAHF                     (0x9F)
#define MOV_AH_AL                (0x88C4)
#define MOV_AH_BH                (0x88FC)
#define MOV_AH_BL                (0x88DC)
#define MOV_AH_CH                (0x88EC)
#define MOV_AH_CL                (0x88CC)
#define MOV_AH_DH                (0x88F4)
#define MOV_AH_DL                (0x88D4)
#define MOV_AH_FF(x)             (0xB400 | x)
#define MOV_AL_AH                (0x88E0)
#define MOV_AL_BH                (0x88F8)
#define MOV_AL_BL                (0x88D8)
#define MOV_AL_CH                (0x88E8)
#define MOV_AL_CL                (0x88C8)
#define MOV_AL_DH                (0x88F0)
#define MOV_AL_DL                (0x88D0)
#define MOV_AL_FF(x)             (0xB000 | x)
#define MOV_AL_[FF](x)           (0xA00000 | x)
#define MOV_BH_CH                (0x88EF)
#define MOV_BH_CL                (0x88CF)
#define MOV_BH_DH                (0x88F7)
#define MOV_BH_DL                (0x88D7)
#define MOV_BH_FF(X)             (0x8700 | x)
#define MOV_BL_CH                (0x88EB)
#define MOV_BL_CL                (0x88CB)
#define MOV_BL_DH                (0x88F3)
#define MOV_BL_DL                (0x88D3)
#define MOV_BL_FF(x)             (0xB300 | x)
#define MOV_CH_DH                (0x88F5)
#define MOV_CH_DL                (0x88D5)
#define MOV_CH_FF(x)             (0x8500 | x)
#define MOV_CL_DH                (0x88F1)
#define MOV_CL_DL                (0x88D1)
#define MOV_CL_FF(x)             (0x8100 | x)
#define MOV_DH_FF(x)             (0xB600 | x)
#define MOV_DL_FF(x)             (0xB200 | x)
#define MOV_[FF]_AL(x)           (0xA20000 | x)
#define NEG_AH                   (0xF6DC)
#define NEG_AL                   (0xF6D8)
#define NOT_AH                   (0xF6D4)
#define NOT_AL                   (0xF6D0)
#define SAHF                     (0x9E)
#define STC                      (0xF9)
#define STD                      (0xFD)
#define STI                      (0xFB)
#define SUB_AL_AH                (0x28E0)
#define TEST_AH_BH               (0x84FC)
#define TEST_AL_BL               (0x84D8)
#define TEST_AX_DX               (0x85D0)
#define WAIT                     (0x9B)
#define XCHG_AX_BX               (0x93)
#define XLAT                     (0xD7)
#define XOR_AX_AX                (0x31C0)
#define XOR_AX_BX                (0x31D8)
#define XOR_AX_FF(x)             (0x350000 | x)
