/* (C) Tim Graves 20th April 1994
   This code is supplied AS IS. no warrantee either expressed or implied 
   is provided. This code may be freeley modified and modified as long as my
   origional authorship is acknowledged. 
   
   Tim Graves
    Sun Microsystems
     
     */
/* this file contains data definitions and structure definitions for the psmain.c file */
struct cmdstruct {
	char * cmdname ;
	int maxargs ;
	int minargs ;
	int (*cmdfn)() ;
	char * usage ;
	char * helptext ;} ;

extern char ** environ ;
/* minimum version of suncom required */
#define SUNCOM_VERSION_REQUIRED "3.7"
/* minimum version of suncom required for backups, info and rlist cmds */
#define MINIMUM_FILE_STAT_REQUIRED "2.8"
/* minimum version for checksums */
#define MINIMUM_FILE_CHECKSUM_REQUIRED "2.30"
/* minimum version for rcd (remote cd */
#define MINIMUM_RCD_REQUIRED "2.18"
/* min version required for remote pwd */
#define MINIMUM_RPWD_REQUIRED "2.19"
/* nim version required for debugging on the psion */
#define MINIMUM_DEBUG_REQUIRED "2.22"
/* min version required for handling xmodem transfer protocol */
#define MINIMUM_XMDM_REQUIRED "2.23"
/* min version for internal file transfers with checksumming */
#define MINIMUM_FILE_CHKSUM_REQUIRED "3.8"
/* min version for process operations */
#define MINIMUM_PROCESS_REQUIRED "3.24"
/* nin version for process shutdown operations */
#define MINIMUM_PROCESS_SHUTDOWN_REQUIRED "3.27"

/* default file to log the comms stuff */
#define DEFAULTLOG "/tmp/psion.log"
/* default file on the psion to log stuff */
#define PSIONLOG "M:\\debug.txt"
