/* (C) Tim Graves 20th April 1994
   This code is supplied AS IS. no warrantee either expressed or implied 
   is provided. This code may be freeley modified and modified as long as my
   origional authorship is acknowledged. 
   
   Tim Graves
    Sun Microsystems
     
     */
/* This file containes the defines for the sun end of the psion comms program.
   it should be included in any routines which cann the psion comms lib
   */
#include <sys/types.h>
#include <sys/time.h>
#include <string.h>


/* debug settings */
/*#define DEBUG 1*/
/* basic constants */
#define TRUE 1
#define FALSE 0

/* comparisons */
#define LESSTHAN -1
#define EQUAL 0
#define GREATERTHAN 1

/* sizes */
#define MAXARGS 255

/* backup and restore stuff */
#define BACKUP 1
#define RESTORE 0

/* process operation return codes */
/* process protection */
#define PROCPROTON 1
#define PROCPROTOFF 2
/* process kill return codes */
#define PROCKILLNOPROC -1
#define PROCKILLERRPROC -2


/* cm function result codes */
#define OK -2
#define BAD -3
#define DISCONN -4
#define BADCMD -5

/* parameters for the psisset routine */
#define PATH -1
#define BADPARAM -2

/* Returned error values */
/* device string */
#define DEVFILE "/dev/term/a"

/* transfer modes */
#define ASCII 1
#define BINARY 2
#define XMDM 3

/* suffix for command files */
#define PSCMDSUFFIX ".pscmd"

/* constants on ending */
#define QUIT 1
#define PAUSE 2

/* interactive or batch ? */
#define INTERACTIVE 1
#define BATCH 2

/* defines for variable subsystem variables used */
#define VAR_VERBOSE "verbose"
#define VAR_RMCHECK "rmcheck"
#define VAR_HELPFULL "helpfull"
#define VAR_FILEFILT "autofilefilter"
#define VAR_DOLOWERPATH "dolower"
#define VAR_BACKUPNOCHECK "backupnocheck"
#define VAR_XMDMSENDARGS "xmdmsendargs"
#define VAR_XMDMRECARGS "xmdmrecargs"
#define VAR_XMDMCMD "xmdmcmd"
#define VAR_CHKSUM_WARN "chksumwarn"
#define VAR_CHKSUM_CORRECT "chksumcorrect"
#define VAR_BAD_CHKSUM_SAVE "chksumsave"
#define VAR_BACKUPNODO "backupnodo"
#define VAR_BACKUPASK "backupask"
#define VAR_RESTOREASK "restoreask"
#define VAR_PROCPROC_NO_CHECK "procprotnocheck"
#define VAR_PROCKILL_NO_CHECK "prockillnocheck"

/* file responses */
#define PSBADPATH -1

/* access types */
#define PSFILERW 1
#define PSFILERO 2

/* file types */
#define PSFILEDIR 0x1
#define PSFILETEXT 0x2
#define PSFILEHIDDEN 0x4
#define PSFILESYSTEM 0x8
#define PSFILEVOLUME 0x10
#define PSFILEFILE 0x20

/* debug information */
#define MAXDEBUG 10
